<?php
class cMoneda{
	function insertar($sim,$nom){
	$sql = "INSERT tb_moneda (
		`tb_moneda_sim`,
		`tb_moneda_nom`
		)
		VALUES ('$sim', '$nom')"; 
    $oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function ultimoInsert(){
	$sql = "SELECT last_insert_id()"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function filtrar(){
		$sql="SELECT * 
		FROM tb_moneda
		WHERE tb_moneda_xac='1'
		ORDER BY tb_moneda_id ASC ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}

	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_moneda
		WHERE tb_moneda_id=$id";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar($id,$sim,$nom){ 
	$sql = "UPDATE tb_moneda SET  
	`tb_moneda_nom` =  '$nom',
	`tb_moneda_sim` =  '$sim'
	WHERE  tb_moneda_id =$id;"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function modificar_campo($id,$campo,$valor){
		$sql = "UPDATE tb_moneda SET
		`tb_moneda_$campo` =  '$valor' 
		WHERE tb_moneda_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
}
?>